# Get external account transfers

Get external account transfers

Endpoint: GET /v1/domains/{domainId}/external-accounts/transactions/transfers
Security: httpAuth

## Path parameters:

  - `domainId` (string, required)

## Query parameters:

  - `limit` (integer)

  - `startingAfter` (string)

  - `sortOrder` (string)
    Enum: "ASC", "DESC"

  - `sortBy` (string)
    Enum: "id", "registeredAt"

  - `kind` (string)
    Enum: "Fee", "Transfer", "Trade"

  - `externalAccountId` (string)

  - `transactionOrderId` (string)

  - `type` (string)

  - `id` (string)

  - `startDate` (string)

  - `endDate` (string)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.id` (string, required)

  - `items.transactionOrderId` (string,null)

  - `items.ledgerTransactionId` (string,null)

  - `items.senders` (array,null) — one of (discriminator: type):
    - Account:
      - `accountId` (string, required)
      - `type` (string, required)
        Enum: "Account"
    - Endpoint:
      - `endpointId` (string, required)
      - `type` (string, required)
        Enum: "Endpoint"
    - Address:
      - `address` (string, required)
      - `type` (string, required)
        Enum: "Address"
    - ExternalAccount:
      - `externalAccountId` (string, required)
      - `type` (string, required)
        Enum: "ExternalAccount"

  - `items.senders.tag` (string,null)

  - `items.recipient` (object) — one of (discriminator: type):
    - Account:
      - `accountId` (string, required)
      - `type` (string, required)
        Enum: same as `type` in "Account" (1 values)
    - Endpoint:
      - `endpointId` (string, required)
      - `type` (string, required)
        Enum: same as `type` in "Endpoint" (1 values)
    - Address:
      - `address` (string, required)
      - `type` (string, required)
        Enum: same as `type` in "Address" (1 values)
    - ExternalAccount:
      - `externalAccountId` (string, required)
      - `type` (string, required)
        Enum: same as `type` in "ExternalAccount" (1 values)

  - `items.value` (string, required)

  - `items.registeredAt` (string, required)

  - `items.kind` (string, required)
    Enum: same as `kind` (3 values)

  - `items.externalTickerName` (string, required)

  - `count` (integer, required)

  - `currentStartingAfter` (string,null)

  - `nextStartingAfter` (string,null)


